Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 116045 - Adding smbk5pwd overlay to openldap
Summary: Adding smbk5pwd overlay to openldap
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: LDAP Herd
URL: http://student.physik.uni-mainz.de/~r...
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2005-12-19 08:00 UTC by Matthew Schick
Modified: 2006-05-30 14:04 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to add module (openldap-smbk5pwd.patch,18.94 KB, patch)
2005-12-19 08:00 UTC, Matthew Schick
Details | Diff
Ebuild (openldap-2.2.28-r3.ebuild,14.20 KB, text/plain)
2005-12-19 08:01 UTC, Matthew Schick
Details
openldap-2.3.21.ebuild builds contrib modules (openldap-2.3.21.ebuild,15.32 KB, text/plain)
2006-05-03 18:56 UTC, Dean Baender
Details
openldap-2.3.21.ebuild.diff diff from current portage (openldap-2.3.21.ebuild.diff,3.89 KB, patch)
2006-05-03 18:58 UTC, Dean Baender
Details | Diff
smbk5pwd Makefile patch (contrib-smbk5pwd-Makefile.patch,1.30 KB, patch)
2006-05-03 19:02 UTC, Dean Baender
Details | Diff
smbk5pwd Makefile patch (contrib-smbk5pwd-Makefile.patch,1.36 KB, patch)
2006-05-15 17:31 UTC, Dean Baender
Details | Diff
openldap-2.3.21-r1 builds contrib modules & overlays (openldap-2.3.21-r1.ebuild,15.95 KB, text/plain)
2006-05-15 17:38 UTC, Dean Baender
Details
openldap-2.3.21-r1.ebuild builds contrib modules (openldap-2.3.21-r1.ebuild,16.08 KB, text/plain)
2006-05-15 18:00 UTC, Dean Baender
Details
openldap-2.3.21-r1.ebuild.diff diff from current portage (openldap-2.3.21-r1.ebuild.diff,5.56 KB, patch)
2006-05-15 18:03 UTC, Dean Baender
Details | Diff
smbk5pwd Makefile patch (contrib-smbk5pwd-Makefile.patch,1.59 KB, patch)
2006-05-17 03:42 UTC, Tero Pelander
Details | Diff
openldap-2.3.21-r1.ebuild.diff diff from current portage (openldap-2.3.21-r1.ebuild.diff,6.13 KB, patch)
2006-05-17 03:44 UTC, Tero Pelander
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Schick 2005-12-19 08:00:07 UTC
The smbk5pwd keeps samba/kerberos/ldap passwords in sync automagically...  I'm attaching an ebuild along with the patch to add the module, however it will changes the dependancies a bit since it requires heimdal.  Of course it doesn't make any sense to try and use the kerberos password sync unless you are using heimdal...
Comment 1 Matthew Schick 2005-12-19 08:00:43 UTC
Created attachment 75100 [details, diff]
Patch to add module
Comment 2 Matthew Schick 2005-12-19 08:01:00 UTC
Created attachment 75101 [details]
Ebuild
Comment 3 Tero Pelander 2006-02-07 23:43:00 UTC
The included patch contains a Makefile that fails to compile if user has USE="samba -kerberos" and kerberos libraries are not installed.

I too would like to have this functionality added to the portage once it works for all users.
Comment 4 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2006-02-14 23:03:15 UTC
please attach a diff to the current openldap-2.3 series ebuilds.
Comment 5 Dean Baender 2006-05-03 18:56:51 UTC
Created attachment 86105 [details]
openldap-2.3.21.ebuild builds contrib modules

This ebuild goes a bit beyond the original bug by including a few other modules in contrib.  Needs the contrib-smbk5pwd-Makefile.patch below.
Comment 6 Dean Baender 2006-05-03 18:58:53 UTC
Created attachment 86106 [details, diff]
openldap-2.3.21.ebuild.diff diff from current portage

A diff from current portage 2.3.21 ebuild.
Comment 7 Dean Baender 2006-05-03 19:02:26 UTC
Created attachment 86107 [details, diff]
smbk5pwd Makefile patch

Uses makefile conditionals to use/omit krb5 libs.  Probably only works with GNU make, not a problem for Gentoo but probably won't fly upstream.
Comment 8 Dean Baender 2006-05-15 17:31:59 UTC
Created attachment 86831 [details, diff]
smbk5pwd Makefile patch

Two fixes:
(1) allow setting of app-crypt/heimdal include dir from ebuild
(2) add build-dir lib path for libldap_r so overlay doesn't need a previous openldap install.
Comment 9 Dean Baender 2006-05-15 17:38:08 UTC
Created attachment 86832 [details]
openldap-2.3.21-r1 builds contrib modules & overlays

fix: smbk5pwd: now builds with app-crypt/heimdal
Comment 10 Dean Baender 2006-05-15 18:00:36 UTC
Created attachment 86834 [details]
openldap-2.3.21-r1.ebuild builds contrib modules

fixed to better match 2.3.21-r1 in portage
Comment 11 Dean Baender 2006-05-15 18:03:07 UTC
Created attachment 86835 [details, diff]
openldap-2.3.21-r1.ebuild.diff diff from current portage

diff to openldap-2.3.21-r1 currently in portage.
Adds smbk5pwd and a few other contributed modules.
Comment 12 Tero Pelander 2006-05-16 03:29:36 UTC
Not quite ready yet. When trying to install this in amd64 system without previous openldap installation I get this.

QA Notice: the following files contain insecure RUNPATH's
 Please file a bug about this at http://bugs.gentoo.org/
 For more information on this issue, kindly review:
 http://bugs.gentoo.org/81745
/var/tmp/portage/openldap-2.3.21-r1/work/openldap-2.3.21/libraries/libldap_r/.libs usr/lib64/openldap/openldap/smbk5pwd.so
/var/tmp/portage/openldap-2.3.21-r1/work/openldap-2.3.21/libraries/libldap_r/.libs usr/lib64/openldap/openldap/smbk5pwd.so.0
/var/tmp/portage/openldap-2.3.21-r1/work/openldap-2.3.21/libraries/libldap_r/.libs usr/lib64/openldap/openldap/smbk5pwd.so.0.0.0

When checking the smb5pwd.so file you can see the problem.
$ ldd /var/tmp/portage/openldap-2.3.21-r1/image/usr/lib64/openldap/openldap/smbk5pwd.so
        libldap_r-2.3.so.0 => /var/tmp/portage/openldap-2.3.21-r1/work/openldap-2.3.21/libraries/libldap_r/.libs/libldap_r-2.3.so.0 (0x00002b3303e20000)
...
        liblber-2.3.so.0 => /var/tmp/portage/openldap-2.3.21-r1/work/openldap-2.3.21/libraries/liblber/.libs/liblber-2.3.so.0 (0x00002b33043b8000)
Comment 13 Tero Pelander 2006-05-17 03:42:24 UTC
Created attachment 86913 [details, diff]
smbk5pwd Makefile patch

Fixes rpath problem. smbk5pwd works in amd64.
Comment 14 Tero Pelander 2006-05-17 03:44:26 UTC
Created attachment 86914 [details, diff]
openldap-2.3.21-r1.ebuild.diff diff from current portage

Module smbk5pwd works in amd64.
Comment 15 Markus Ullmann (RETIRED) gentoo-dev 2006-05-30 14:04:51 UTC
Fixed in 2.3.24, thanks for this extensive testing ;)